package cn.jlsxwkj.moudles.logerror;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author zh
 */
@Mapper
public interface LogErrorMapper {

    /**
     * 插入错误日志
     * @param logError log实体
     */
    @Insert("""
            insert into log_error(
                message, 
                exception, 
                error_info,
                error_stack_trace
            ) values (
                #{LogError.message}, 
                #{LogError.exception},
                #{LogError.errorInfo},
                #{LogError.errorStackTrace}
            )
            """)
    void insertOne(@Param("LogError") LogError logError);
}
