package cn.jlsxwkj.common.config;

import cn.jlsxwkj.common.interceptor.Login;
import jakarta.annotation.Resource;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @author zh
 */
@Configuration
public class Consumer implements WebMvcConfigurer {
    @Resource
    private Login logInterceptor;
    /**
     * 注册拦截器
     * @param registry 注册
     */
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(logInterceptor)
        // 拦截
        .addPathPatterns("/**")
        // 放行
        .excludePathPatterns("/login");
        WebMvcConfigurer.super.addInterceptors(registry);
    }
}
